# Class NotificationMessage

#### Hierarchy

- unknown
  - NotificationMessage

- Defined in src/protobuf/grpc_pb.d.ts:682
- Defined in src/protobuf/grpc_pb.d.ts:716

#####
Index

### Constructors

constructor

### Methods

clearChatMessage
clearTrade
getChatMessage
getId
getMessage
getTimestamp
getTitle
getTrade
getType
hasChatMessage
hasTrade
serializeBinary
setChatMessage
setId
setMessage
setTimestamp
setTitle
setTrade
setType
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new NotificationMessage(): NotificationMessage

- #### Returns NotificationMessage

  Inherited from jspb.Message.constructor

## Methods

### clearChatMessage

- clearChatMessage(): NotificationMessage

- #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:706

### clearTrade

- clearTrade(): NotificationMessage

- #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:701

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- #### Returns undefined | ChatMessage

  - Defined in src/protobuf/grpc_pb.d.ts:703

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:683

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:695

### getTimestamp

- getTimestamp(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:689

### getTitle

- getTitle(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:692

### getTrade

- getTrade(): undefined | TradeInfo

- #### Returns undefined | TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:698

### getType

- getType(): NotificationType

- #### Returns NotificationType

  - Defined in src/protobuf/grpc_pb.d.ts:686

### hasChatMessage

- hasChatMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:705

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:700

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:708

### setChatMessage

- setChatMessage(value?: ChatMessage): NotificationMessage

- #### Parameters

  - ##### `Optional` value: ChatMessage

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:704

### setId

- setId(value: string): NotificationMessage

- #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:684

### setMessage

- setMessage(value: string): NotificationMessage

- #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:696

### setTimestamp

- setTimestamp(value: number): NotificationMessage

- #### Parameters

  - ##### value: number

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:690

### setTitle

- setTitle(value: string): NotificationMessage

- #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:693

### setTrade

- setTrade(value?: TradeInfo): NotificationMessage

- #### Parameters

  - ##### `Optional` value: TradeInfo

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:699

### setType

- setType(value: NotificationType): NotificationMessage

- #### Parameters

  - ##### value: NotificationType

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:687

### toObject

- toObject(includeInstance?: boolean): NotificationMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns NotificationMessage.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:709

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): NotificationMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:712

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NotificationMessage, reader: BinaryReader): NotificationMessage

- #### Parameters

  - ##### message: NotificationMessage

  - ##### reader: BinaryReader

  #### Returns NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:713

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: NotificationMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: NotificationMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:711

### `Static` toObject

- toObject(includeInstance: boolean, msg: NotificationMessage): NotificationMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NotificationMessage

  #### Returns NotificationMessage.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:710

Generated using TypeDoc